Subject: Re: [PATCH 07/10] commit-graph: add large-filters bitmap chunk

From: Taylor Blau <[email-masked]>
Date: Mon, 3 Aug 2020 14:59:47 -0400

On Mon, Aug 03, 2020 at 02:57:33PM -0400, Taylor Blau wrote:
> When a commit has 512 changed paths or greater, the commit-graph
> machinery represents it as a zero-length filter since having many
> entries in the Bloom filter has undesirable effects on the false
> positivity rate.

One thing that occurs to me after sending this patch is that 512 may not
be the upper-bound on the number of changed-paths forever.

Maybe we should store a uint32_t as the first four bytes of this chunk
specifying where we draw the line?

Thanks,
Taylor